package electrical_system is
	nature electrical is real across real through;
	terminal ground : electrical;
end electrical_system;

use electrical_system.all;

entity bmac is
	generic ( c : real := 5.0);
	port ( terminal pos, neg : electrical );
end bmac;

architecture arch1 of bmac is
	quantity volt across pos to neg;
	quantity curr through pos to neg;
begin
  MOSequations: procedural is
  begin -- procedural statements
    curr := c * volt'dot;
  end procedural;
end architecture arch1;
