chrgpump.sp: charge conservation test for charge pump circuit
*test circuit of a mosfet capacitor and a linear capacitor
.options  acct list nomod  $ method=gear
+ reltol=1e-3 abstol=1e-6 chgtol=1e-14  $ delmax=0.1ns
.op
.tran 2ns 470ns
.ic v(s)=1
*
vin g 0  pulse 0 5 15ns 5ns 5ns 50ns 100ns
vbb 0 b  pulse 0 5 0ns 5ns 5ns 50ns 100ns
vdd d d- pulse 0 5 25ns 5ns 5ns 50ns 100ns
*
*rc  d-  s 10k
rc  d-  s 100k
c2  s   0 10p
n1  d   g  s  b   mm width=3.5u length=5.5u
**+ad=100p as=100p pd=50u ps=50u nrd=1 nrs=1
*
.model mm mymos3 channel=1.0 vt0=0.7 kp=50e-6 gamma=0.96
+phi=0.5763 tox=50e-9 nsub=1.0e16 ld=0.5e-6
+vmax=268139 theta=0.05 eta=1 kappa=0.5
*
.options post ingold=2
*.print tran  v(s) v(d) v(g) v(b)
.print tran  v(d) v(g) v(b)
.end
